Summary: Library of graphics routines used by libgnomecanvas
Name: libart_lgpl
Version: 2.3.21
Release: 3%{?dist}
License: LGPLv2+
URL: http://www.gnome.org/
Source0: http://download.gnome.org/sources/libart_lgpl/2.3/%{name}-%{version}.tar.bz2

BuildRequires: automake, autoconf, pkgconfig, libtool, make

%description
Graphics routines used by the GnomeCanvas widget and some other 
applications. libart renders vector paths and the like.

%package devel
Summary: Libraries and headers for libart_lgpl
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup



%build
libtoolize
autoreconf -i
%configure --disable-static

%{make_build}



%install
%{make_install}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/lib*.so.*

%files devel
%{_bindir}/libart2-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.21-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.21-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.3.21-1
- initial
